Unmerges the identified identity entities
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/unmerge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"peopleIds": [
1,
2,
3
],
"identityIds": [
"identity-1",
"identity-2",
"identity-3"
]
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/unmerge"
payload = {
"peopleIds": [1, 2, 3],
"identityIds": ["identity-1", "identity-2", "identity-3"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({peopleIds: [1, 2, 3], identityIds: ['identity-1', 'identity-2', 'identity-3']})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/unmerge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"id": "<string>",
"organizationId": 123,
"peopleId": "<string>",
"managementType": "managed",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com",
"secondaryEmails": [
"secondary+1@email.com",
"secondary+2@email.com"
],
"companyName": "company name",
"workLocation": "work location",
"department": {
"name": "department name"
},
"serviceCount": 123,
"deviceCount": 123,
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isManager": true,
"isMock": true,
"isEmailEditable": true,
"hasPresetFieldsUnlinked": true,
"jobTitle": "CTO",
"employeeId": "EMP12345",
"lifecycle": {
"contractStartAt": "2021-01-01",
"contractEndAt": "2021-01-02",
"suspensionStartAt": "2021-01-01",
"suspensionEndAt": "2021-01-03"
},
"manager": {
"id": "<string>",
"displayName": "<string>",
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"status": "suspended",
"type": "employee"
}
},
"note": "this is a note",
"profileUrl": "https://workspace.url/employee/12345",
"customFields": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
},
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
],
"structuresInfo": {
"companies": [
{
"id": 1,
"name": "name"
}
],
"departments": [
{
"id": 1,
"name": "name"
}
],
"locations": [
{
"id": 1,
"name": "name"
}
],
"managers": [
{
"id": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"avatar": "<string>"
}
]
}
}
]
}Directory
Unmerges the identified identity entities
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
identity
/
unmerge
Unmerges the identified identity entities
承認
パスパラメータ
ボディ
application/json
最終更新日 2026年7月14日
このページは役に立ちましたか?
⌘I

